Bug 114322 - up2date don't like CVS in /etc/sysconfig/rhn/clientCaps.d
up2date don't like CVS in /etc/sysconfig/rhn/clientCaps.d
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-26 12:28 EST by Peter Bieringer
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2004-01-26 12:28:19 EST
Description of problem:
In case of config files are put into a local CVS repository, during
recursive adding, also upper shown directory was added.



Version-Release number of selected component (if applicable):
up2date-4.2.5-1

How reproducible:
Always

Steps to Reproduce:
1. mkdir /etc/sysconfig/rhn/clientCaps.d/CVS
2. up2date
  

Actual Results:  # up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 22, in ?
    from up2date_client import repoDirector
  File "repoDirector.py", line 5, in ?
  File "rhnChannel.py", line 9, in ?
  File "up2dateAuth.py", line 13, in ?
  File "clientCaps.py", line 69, in ?
  File "clientCaps.py", line 58, in loadLocalCaps
IOError: [Errno 21] Is a directory


Expected Results:  Skipping directory "CVS"

Additional info:
Comment 1 Ryan Bloom 2004-05-06 14:54:53 EDT
Fixed in 4.3.19

Directories are skipped when processing the
/etc/sysconfig/rhn/clientCaps.d directory.
Comment 2 Peter Bieringer 2007-04-11 09:00:00 EDT
I can confirm bug is fixed at least in up2date-4.4.69-24.2, so it can be closed
now imho.
Comment 4 Jiri Pallich 2012-06-20 09:32:13 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.